
/****** Object:  StoredProcedure [dbo].[spOrganKZ]    Script Date: 21.09.2015 08:04:47 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spOrganKZ] 
    @InstNR nvarchar(3),
    @BDate datetime
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT        KN.kn_kz_organ, KN.kn_kz_organ + N' - ' + isnull(tabOrganKZ.OrganText,'Sparkassenintern') AS Anzeige
FROM            tabKreditnehmer AS KN INNER JOIN
                         tab_KNE_KN ON KN.KNID = tab_KNE_KN.KNID INNER JOIN
                         tabKreditnehmereinheit AS KNE ON tab_KNE_KN.KNEID = KNE.KNEID LEFT OUTER JOIN
                         tabOrganKZ ON KN.kn_kz_organ = tabOrganKZ.OrganKZ
WHERE        (KNE.tmpLoeschKZ = 0) AND (KNE.Bdate = @BDate) AND (KNE.INR = @instnr)
GROUP BY KN.kn_kz_organ, KN.kn_kz_organ + N' - ' + tabOrganKZ.OrganText, tabOrgankz.Organtext
ORDER BY KN.kn_kz_organ ;
END
GO

/****** Object:  StoredProcedure [dbo].[spKreditnehmer]    Script Date: 21.09.2015 08:54:17 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spKreditnehmer] 
	@KNID nvarchar(24)
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     KN.KNID, KN.KN, KN.INR, KN.Bdate, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, 
                      KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, KN.kn_verbund_art, 
                      KN.kn_geko9513_gueltig_ab, KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, 
                      KN.kn_ewb_e_btrg_janf, KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, 
                      KN.kn_ewb_v, KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, 
                      KN.kn_ewb_v_absg_dir_btrg, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
                      KN.kn_postleit, KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, KN.KN_Ueberschreitung_SPK_Bemerkung, KN.KN_GKV_SPK, KN.KN_GKV_SPK_Bemerkung, 
                      KN.KN_Identnr, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.TS, dbo.getWZ(KN.kn_wirtschaftszweig) AS WZ, 
                      CASE WHEN kn.kn_rating_methode IS NOT NULL THEN KN_Rating_Methode + ' - ' + dbo.getRatingmethode(kn.kn_rating_methode) END AS Ratingmethode, 
                      CASE WHEN kn.kn_kz_organ IS NOT NULL THEN isnull(KN.kn_kz_organ + ' - ' + dbo.getOrganKZ(KN.kn_kz_organ),kn.kn_kz_organ + ' - Sparkassenintern') END AS Organkennzeichen, 
                      dbo.getRatingstatus(KN.kn_rating_status) AS Ratingstatus, tabSicherheitenproKNID.KNID AS Expr1, tabSicherheitenproKNID.INR AS Expr2, 
                      tabSicherheitenproKNID.BDate AS Expr3, tabSicherheitenproKNID.Grundpfandrechte_wi, tabSicherheitenproKNID.Grundpfandrechte_in, 
                      tabSicherheitenproKNID.Grundpfandrechte_wohn_wi, tabSicherheitenproKNID.Grundpfandrechte_wohn_in, tabSicherheitenproKNID.Grundpfandrechte_gew_wi, 
                      tabSicherheitenproKNID.Grundpfandrechte_gew_in, tabSicherheitenproKNID.Grundpfandrechte_real_wi, tabSicherheitenproKNID.Grundpfandrechte_real_in, 
                      tabSicherheitenproKNID.Guthaben_wi, tabSicherheitenproKNID.Guthaben_in, tabSicherheitenproKNID.Wertpapiere_wi, tabSicherheitenproKNID.Wertpapiere_in, 
                      tabSicherheitenproKNID.Sicherungsuebereignungen_wi, tabSicherheitenproKNID.Sicherungsuebereignungen_in, tabSicherheitenproKNID.Lebensversicherungen_wi, 
                      tabSicherheitenproKNID.Lebensversicherungen_in, tabSicherheitenproKNID.Zessionen_wi, tabSicherheitenproKNID.Zessionen_in, 
                      tabSicherheitenproKNID.Buergschaften_oeffentl_in, tabSicherheitenproKNID.Buergschaften_oeffentl_wi, tabSicherheitenproKNID.Buergschaften_sonst_in, 
                      tabSicherheitenproKNID.Buergschaften_sonst_wi, tabSicherheitenproKNID.Sonstiges_wi, tabSicherheitenproKNID.Sonstiges_in, 
                      tabSicherheitenproKNID.SPKRecht_nicht_Blanko_in, tabSicherheitenproKNID.SPKRecht_nicht_Blanko_wi, tabSicherheitenproKNID.DarunterKoerperschaft_in, 
                      tabSicherheitenproKNID.DarunterKoerperschaft_wi, tabSicherheitenproKNID.Wirtschaftlich_bewertbare_Sicherheiten_in, 
                      tabSicherheitenproKNID.Wirtschaftlich_bewertbare_Sicherheiten_wi, tabSicherheitenproKNID.Freie_Sicherheiten_in, tabSicherheitenproKNID.Freie_Sicherheiten_wi, 
                      tabSicherheitenproKNID.SPKRechtlich_Bewertbar_in, tabSicherheitenproKNID.SPKRechtlich_Bewertbar_wi, tabSicherheitenproKNID.SPKRechtl_Blanko_in, 
                      tabSicherheitenproKNID.SPKRechtl_Blanko_wi, tabSicherheitenproKNID.Wirtschaftlich_blanko_in, tabSicherheitenproKNID.Wirtschaftlich_blanko_wi, 
                      case when KN.KN_WARN_1210 = 'J' then 1 else 0 end as KN_WARN_1210, 
                      case when KN.KN_WARN_1310 = 'J' then 1 else 0 end as KN_WARN_1310, 
                      case when KN.KN_WARN_1425 = 'J' then 1 else 0 end as KN_WARN_1425, 
                      case when KN.KN_WARN_1435 = 'J' then 1 else 0 end as KN_WARN_1435, 
                      case when KN.KN_WARN_1455 = 'J' then 1 else 0 end as KN_WARN_1455, 
                      case when KN.KN_WARN_1510 = 'J' then 1 else 0 end as KN_WARN_1510, 
                      case when KN.KN_WARN_1530 = 'J' then 1 else 0 end as KN_WARN_1530, 
                      case when KN.KN_WARN_7000 = 'J' then 1 else 0 end as KN_WARN_7000, 
                      case when KN.KN_WARN_7001 = 'J' then 1 else 0 end as KN_WARN_7001, 
                      case when KN.KN_WARN_7002 = 'J' then 1 else 0 end as KN_WARN_7002, 
                      case when KN.KN_WARN_7003 = 'J' then 1 else 0 end as KN_WARN_7003, 
                      case when KN.KN_WARN_7004 = 'J' then 1 else 0 end as KN_WARN_7004, 
                      case when KN.KN_WARN_7008 = 'J' then 1 else 0 end as KN_WARN_7008, 
                      case when KN.KN_WARN_7017 = 'J' then 1 else 0 end as KN_WARN_7017, 
                      case when KN.KN_WARN_7021 = 'J' then 1 else 0 end as KN_WARN_7021, 
                      case when KN.KN_WARN_7029 = 'J' then 1 else 0 end as KN_WARN_7029, 
                      case when KN.KN_WARN_7031 = 'J' then 1 else 0 end as KN_WARN_7031 
FROM         tabKreditnehmer AS KN LEFT OUTER JOIN
                      tabSicherheitenproKNID ON KN.KNID = tabSicherheitenproKNID.KNID 
                      WHERE     (KN.KNID = @KNID)
END
GO

/****** Object:  View [dbo].[ViewKreditnehmerfuerEngagementbogen]    Script Date: 21.09.2015 09:01:14 ******/
DROP VIEW [dbo].[ViewKreditnehmerfuerEngagementbogen]
GO

/****** Object:  View [dbo].[ViewKreditnehmerfuerEngagementbogen]    Script Date: 21.09.2015 09:01:14 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[ViewKreditnehmerfuerEngagementbogen]
AS
SELECT        TOP (100) PERCENT dbo._tmpKNE.KNEID, KN.KNID, KN.KN, KN.kn_rating_datum, KN.kn_ortskenn, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, 
                         KN.kn_kusydsgv, KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, 
                         KN.kn_blankokreditvolumen_in, KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, 
                         KN.kn_realkreditvolumen_wi, KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, 
                         KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, 
                         KN.kn_meta_anteil_inanspruchnahme, KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, 
                         KN.kn_rueckgabenanzahl, KN.kn_Ueberziehung, KN.kn_rueckgabenbetrag, KN.Bdate, K.KontoID, K.KontoNr, K.kto_skontronr, K.kto_gp_key, K.kto_gp_variante, 
                         K.kto_kontentyp, K.kto_gesamtkreditvolumen, K.kto_saldo, K.kto_inanspruchnahme, K.kto_ueberziehung, K.kto_externer_kredit, K.kto_interner_kredit, 
                         K.kto_interner_kredit_bis, K.kto_ueberziehung_genehmigt, K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberziehungstage, 
                         K.kto_kz_notleidend, K.kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, K.kto_verzug_entgelt, K.kto_verzug_verzinslich, K.kto_verzug_unverzinslich, 
                         K.kto_aval_art, K.kto_aval_einzelbe, K.kto_meta_anteil_kreditvolumen, K.kto_meta_anteil_inanspruchnahme, K.kto_monatliche_Habenumsaetze, 
                         K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_rueckstand_gesamt, K.kto_relation_kredit_umsatz, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                         KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                         KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                         dbo.getWZ(KN.kn_wirtschaftszweig) AS WZ, dbo.getRatingstatus(KN.kn_rating_status) AS Ratingstatus, CASE WHEN kn.kn_rating_methode IS NOT NULL 
                         THEN KN_Rating_Methode + ' - ' + dbo.getRatingmethode(kn.kn_rating_methode) END AS Ratingmethode, CASE WHEN kn.kn_kz_organ IS NOT NULL 
                         THEN isnull(KN.kn_kz_organ + ' - ' + dbo.getOrganKZ(KN.kn_kz_organ), kn.kn_kz_organ + ' - Sparkassenintern') END AS Organkennzeichen
FROM            dbo._tmpKNE INNER JOIN
                         dbo.tab_KNE_KN INNER JOIN
                         dbo.tabKreditnehmer AS KN ON dbo.tab_KNE_KN.KNID = KN.KNID ON dbo._tmpKNE.KNEID = dbo.tab_KNE_KN.KNEID INNER JOIN
                         dbo.tabKonto AS K ON KN.KNID = K.KNID
ORDER BY dbo._tmpKNE.KNEID, KN.KNID

GO

/****** Object:  View [dbo].[viewKreditnehmerfuerEngagementbogenRisiko]    Script Date: 21.09.2015 09:02:52 ******/
DROP VIEW [dbo].[viewKreditnehmerfuerEngagementbogenRisiko]
GO

/****** Object:  View [dbo].[viewKreditnehmerfuerEngagementbogenRisiko]    Script Date: 21.09.2015 09:02:52 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewKreditnehmerfuerEngagementbogenRisiko]
AS
SELECT        TOP (100) PERCENT dbo._tmpRisikoeinheit.KNEID, KN.KNID, KN.KN, KN.kn_rating_datum, KN.kn_ortskenn, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, 
                         KN.kn_kusydsgv, KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, 
                         KN.kn_blankokreditvolumen_in, KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, 
                         KN.kn_realkreditvolumen_wi, KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, 
                         KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, 
                         KN.kn_meta_anteil_inanspruchnahme, KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, 
                         KN.kn_rueckgabenanzahl, KN.kn_Ueberziehung, KN.kn_rueckgabenbetrag, KN.Bdate, K.KontoID, K.KontoNr, K.kto_skontronr, K.kto_gp_key, K.kto_gp_variante, 
                         K.kto_kontentyp, K.kto_gesamtkreditvolumen, K.kto_saldo, K.kto_inanspruchnahme, K.kto_ueberziehung, K.kto_externer_kredit, K.kto_interner_kredit, 
                         K.kto_interner_kredit_bis, K.kto_ueberziehung_genehmigt, K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberziehungstage, 
                         K.kto_kz_notleidend, K.kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, K.kto_verzug_entgelt, K.kto_verzug_verzinslich, K.kto_verzug_unverzinslich, 
                         K.kto_aval_art, K.kto_aval_einzelbe, K.kto_meta_anteil_kreditvolumen, K.kto_meta_anteil_inanspruchnahme, K.kto_monatliche_Habenumsaetze, 
                         K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_rueckstand_gesamt, K.kto_relation_kredit_umsatz, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                         KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                         KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                         dbo.getWZ(KN.kn_wirtschaftszweig) AS WZ, dbo.getRatingstatus(KN.kn_rating_status) AS Ratingstatus, CASE WHEN kn.kn_rating_methode IS NOT NULL 
                         THEN KN_Rating_Methode + ' - ' + dbo.getRatingmethode(kn.kn_rating_methode) END AS Ratingmethode, CASE WHEN kn.kn_kz_organ IS NOT NULL 
                         THEN isnull(KN.kn_kz_organ + ' - ' + dbo.getOrganKZ(KN.kn_kz_organ), kn.kn_kz_organ + ' - Sparkassenintern') END AS Organkennzeichen, 
                         dbo._tmpRisikoeinheit.RNR
FROM            dbo.tabKN_Risiko INNER JOIN
                         dbo.tabKonto AS K INNER JOIN
                         dbo.tabKreditnehmer AS KN ON K.KNID = KN.KNID ON dbo.tabKN_Risiko.KNID = KN.KNID INNER JOIN
                         dbo._tmpRisikoeinheit ON dbo.tabKN_Risiko.RNR = dbo._tmpRisikoeinheit.RNR
ORDER BY dbo._tmpRisikoeinheit.KNEID, KN.KNID

GO

/****** Object:  View [dbo].[viewKreditnehmerfuerEngagementbogenRisikoSammel]    Script Date: 21.09.2015 09:04:21 ******/
DROP VIEW [dbo].[viewKreditnehmerfuerEngagementbogenRisikoSammel]
GO

/****** Object:  View [dbo].[viewKreditnehmerfuerEngagementbogenRisikoSammel]    Script Date: 21.09.2015 09:04:21 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewKreditnehmerfuerEngagementbogenRisikoSammel]
AS
SELECT        TOP (100) PERCENT dbo._tmpRisikoeinheit.KNEID, KN.KNID, KN.KN, KN.kn_rating_datum, KN.kn_ortskenn, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, 
                         KN.kn_kusydsgv, KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, 
                         KN.kn_blankokreditvolumen_in, KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, 
                         KN.kn_realkreditvolumen_wi, KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, 
                         KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, 
                         KN.kn_meta_anteil_inanspruchnahme, KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, 
                         KN.kn_rueckgabenanzahl, KN.kn_Ueberziehung, KN.kn_rueckgabenbetrag, KN.Bdate, K.KontoID, K.KontoNr, K.kto_skontronr, K.kto_gp_key, K.kto_gp_variante, 
                         K.kto_kontentyp, K.kto_gesamtkreditvolumen, K.kto_saldo, K.kto_inanspruchnahme, K.kto_ueberziehung, K.kto_externer_kredit, K.kto_interner_kredit, 
                         K.kto_interner_kredit_bis, K.kto_ueberziehung_genehmigt, K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberziehungstage, 
                         K.kto_kz_notleidend, K.kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, K.kto_verzug_entgelt, K.kto_verzug_verzinslich, K.kto_verzug_unverzinslich, 
                         K.kto_aval_art, K.kto_aval_einzelbe, K.kto_meta_anteil_kreditvolumen, K.kto_meta_anteil_inanspruchnahme, K.kto_monatliche_Habenumsaetze, 
                         K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_rueckstand_gesamt, K.kto_relation_kredit_umsatz, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                         KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                         KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                         dbo.getWZ(KN.kn_wirtschaftszweig) AS WZ, dbo.getRatingstatus(KN.kn_rating_status) AS Ratingstatus, CASE WHEN kn.kn_rating_methode IS NOT NULL 
                         THEN KN_Rating_Methode + ' - ' + dbo.getRatingmethode(kn.kn_rating_methode) END AS Ratingmethode, CASE WHEN kn.kn_kz_organ IS NOT NULL 
                         THEN isnull(KN.kn_kz_organ + ' - ' + dbo.getOrganKZ(KN.kn_kz_organ), kn.kn_kz_organ + ' - Sparkassenintern') END AS Organkennzeichen, 
                         dbo._tmpRisikoeinheit.RNR
FROM            dbo.tabKN_RisikoSammel INNER JOIN
                         dbo.tabKonto AS K INNER JOIN
                         dbo.tabKreditnehmer AS KN ON K.KNID = KN.KNID ON dbo.tabKN_RisikoSammel.KNID = KN.KNID INNER JOIN
                         dbo._tmpRisikoeinheit ON dbo.tabKN_RisikoSammel.RNR = dbo._tmpRisikoeinheit.RNR
ORDER BY dbo._tmpRisikoeinheit.KNEID, KN.KNID

GO

/****** Object:  StoredProcedure [dbo].[spKNDetails]    Script Date: 21.09.2015 09:16:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spKNDetails] 
	@KNID nvarchar(24)
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT   K.*, KN.*, 
         CASE WHEN kn.kn_kz_organ IS NOT NULL THEN isnull(KN.kn_kz_organ + ' - ' + dbo.getOrganKZ(KN.kn_kz_organ),kn.kn_kz_organ + ' - Sparkassenintern') END AS Organkennzeichen, 
         dbo.GetRatingmethode(kn.kn_rating_methode) as Ratingmethode,
         dbo.GetRatingstatus(kn.kn_rating_status) as Ratingstatus,
         dbo.getWZ(kn.kn_wirtschaftszweig) as WZ   
FROM     tabKreditnehmer as KN Left JOIN
         tabKonto AS K ON KN.KNID = K.KNID          
WHERE    KN.KNID = @KNID 
END
GO




Update _tabVersion set DBVersion = '7.70', DBDate = '21.09.2015'
GO